package	jp.co.sds_corp.ratemixer.fx.command;

import java.io.Serializable;
import java.rmi.Remote;
import java.util.Map;

import jp.co.sds_corp.fxutil.Ccy;
import jp.co.sds_corp.fxutil.CcyPair;
import jp.co.sds_corp.ratemixer.fx.FxRate;

public interface IRMIServer extends Remote, Serializable
{
	public Map<String,Ccy> mapCcy() throws Exception;
	public Map<String,CcyPair> mapCcyPair() throws Exception;

	public FxRate getSpotRate( String ccy1, String ccy2 )
		throws Exception;
	public CcyPairProperty getCcyPairProperty( String ccy1, String ccy2 )
		throws Exception;
	public void setCcyPairProperty( String ccy1, String ccy2,
			CcyPairProperty prop )
		throws Exception;
	public void setStatus( String ccy1, String ccy2, int status )
		throws Exception;
}
